import type { CacheHandler, CacheHandlerContext, CacheHandlerValue } from './';
import type { CacheFs } from '../../../shared/lib/utils';
import type { IncrementalCacheKindHint } from '../../response-cache';
type FileSystemCacheContext = Omit<CacheHandlerContext, 'fs' | 'serverDistDir'> & {
    fs: CacheFs;
    serverDistDir: string;
    experimental: {
        ppr: boolean;
    };
};
export default class FileSystemCache implements CacheHandler {
    private fs;
    private flushToDisk?;
    private serverDistDir;
    private appDir;
    private pagesDir;
    private tagsManifestPath?;
    private revalidatedTags;
    private readonly experimental;
    constructor(ctx: FileSystemCacheContext);
    private loadTagsManifest;
    revalidateTag(tag: string): Promise<void>;
    get(key: string, { tags, softTags, kindHint, }?: {
        tags?: string[];
        softTags?: string[];
        kindHint?: IncrementalCacheKindHint;
    }): Promise<CacheHandlerValue | null>;
    set(key: string, data: CacheHandlerValue['value'], ctx: {
        tags?: string[];
    }): Promise<void>;
    private detectFileKind;
    private getFilePath;
}
export {};
